## WebKitInstallMissingMediaPluginsPermissionRequest WebKitInstallMissingMediaPluginsPermissionRequest — A permission request for installing missing media plugins |

## Functions

const gchar * | webkit_install_missing_media_plugins_permission_request_get_description ()

## Types and Values

struct | WebKitInstallMissingMediaPluginsPermissionRequest

## Object Hierarchy

        GObject
        ╰── WebKitInstallMissingMediaPluginsPermissionRequest

## Implemented Interfaces

WebKitInstallMissingMediaPluginsPermissionRequest implements WebKitPermissionRequest.

## Description

WebKitInstallMissingMediaPluginsPermissionRequest represents a request for permission to decide whether WebKit should try to start a helper application to install missing media plugins when the media backend couldn't play a media because the required plugins were not available.

When a WebKitInstallMissingMediaPluginsPermissionRequest is not handled by the user, it is allowed by default.

## Functions

### webkit_install_missing_media_plugins_permission_request_get_description ()

    const gchar *
    webkit_install_missing_media_plugins_permission_request_get_description
                                   (WebKitInstallMissingMediaPluginsPermissionRequest *request);

Gets the description about the missing plugins provided by the media backend when a media couldn't be played.

#### Parameters

request | a WebKitInstallMissingMediaPluginsPermissionRequest |

#### Returns

a string with the description provided by the media backend.

Since: 2.10

## Types and Values

### struct WebKitInstallMissingMediaPluginsPermissionRequest

    struct WebKitInstallMissingMediaPluginsPermissionRequest;

## See Also

WebKitPermissionRequest, WebKitWebView